Bug 1591497 - VMware Add Provider can validate VMRC Console credentials successfully for non-existing User
Summary: VMware Add Provider can validate VMRC Console credentials successfully for no...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.4
Assignee: Aparna Karve
QA Contact: Antonin Pagac
URL:
Whiteboard: console:vmrc
Depends On: 1574000
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-14 21:55 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
12 users (show)

Fixed In Version: 5.9.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1574000
Environment:
Last Closed: 2018-09-04 18:00:27 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:07 UTC

Comment 2 CFME Bot 2018-07-19 13:13:07 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c305329943b75d1abb79be28495ccba12e53de3e
commit c305329943b75d1abb79be28495ccba12e53de3e
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu May 10 10:35:15 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu May 10 10:35:15 2018 -0400

    Merge pull request #3913 from AparnaKarve/bz1574000_fix_creds_for_vmware_console_tab

    Pass correct credential parameters depending on the credential type
    (cherry picked from commit e16363f5ab1f888b1aa43985536537faef01021c)

    https://bugzilla.redhat.com/show_bug.cgi?id=1591497

 app/controllers/mixins/ems_common_angular.rb | 19 +-
 spec/controllers/mixins/ems_common_angular_spec.rb | 154 +
 2 files changed, 166 insertions(+), 7 deletions(-)

Comment 5 Antonin Pagac 2018-08-06 12:59:12 UTC
Verified with 5.9.4.2.

Comment 7 errata-xmlrpc 2018-09-04 18:00:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.